import { Stack } from "expo-router";
import { LIGHT_THEME } from "../../../../src/common/const/theme";
import { useTranslation } from "react-i18next";

export default function Layout() {
  const { t } = useTranslation();
  return (
    <Stack>
      <Stack.Screen
        name="[townId]/index"
        options={{
          title: t("selectTownActivityScreen.title"),
          headerStyle: {
            backgroundColor: LIGHT_THEME.color.primary,
          },
          headerTitleStyle: {
            color: LIGHT_THEME.color.white,
          },
          headerTitleAlign: "center",
          headerTintColor: LIGHT_THEME.color.white,
        }}
      />
      <Stack.Screen
        name="[townId]/activity"
        options={{
          headerShown: false,
        }}
      />
    </Stack>
  );
}
